teleport:
  nodename: {{ nodename }}
  # auth_token:
  # auth_servers: [ "authserver.example.com:3025" ]
  # advertise_ip: 1.2.3.4

auth_service:
  # enable the auth service:
  enabled: true
  cluster_name: {{ cluster_name }}
  public_addr: {{ public_addr }} # e.g., public-teleport.example.com:3025

  tokens:
  # this static token is used for other nodes to join this Teleport cluster
  - proxy,node:{{ static_token_nodejoin }}
  # this token is used to establish trust with other Teleport clusters
  - trusted_cluster:{{ static_token_clusterjoin }}

  # by default, local authentication will be used with 2FA
  authentication:
      second_factor: otp

  # SSH is also enabled on this node:
ssh_service:
  enabled: "{{ enable_ssh }}"

proxy_service:
  enabled: "{{ enable_proxy }}"
  public_addr: {{ public_addr }}:{{ teleport_proxy_port }}
  ssh_public_addr: {{ public_addr }}:{{ teleport_sshproxy_port }}